Subject: RE: Route Computation Question
From: Randy Bush <[email-masked]>
To: George Matey <[email-masked]>
Cc: BGP mailing list <[email-masked]>
Date: Tue, 29 Aug 2000 08:41:49 -0700

> As an AD, what's required to progress from experimental to proposed
> standard?

2026 covers this.  but essentially do a wg last call, and ietf last call,
iesg review, ... the normal path.

randy

From: George Matey <[email-masked]>
To: "'Randy Bush'" <[email-masked]>
Cc: BGP mailing list <[email-masked]>
Subject: RE: Route Computation Question 
Date: Tue, 29 Aug 2000 10:42:15 -0400
Sender: [email-masked]

I would have to agree, both about moving it to standards track
as well as cleaning it up.

As an AD, what's required to progress from experimental to
proposed standard?

--
George

> -----Original Message-----
> From: Randy Bush [mailto:[email-masked]]
> Sent: Sunday, August 27, 2000 1:23 AM
> To: Danny McPherson
> Cc: BGP mailing list
> Subject: Re: Route Computation Question 
> 
> 
> > I realize confederations is "Experimental"
> 
> but are used by some rather large players.  maybe it is time 
> to move this
> one forward a bit.  but it could use some cleanup enroute.
> 
> randy
> 

Date: Mon, 28 Aug 2000 18:02:03 +0100
To: George Matey <[email-masked]>
From: "Mark Thompson" <[email-masked]>
Subject: RE: Route Computation Question
Cc: "'Mike Portworsnick'" <[email-masked]>, [email-masked]
Sender: [email-masked]

George

Thankyou, I did mean MRT from Merit

Mark

At 09:27 28/08/00 -0400, George Matey wrote:

>Mike,
>
>Not to be pedantic, but, no, he means MRT.
>
>MRT = Multi-threaded Routing Toolkit
>         BGPsim is part of that tookit
>
>MRTG =  Multi Router Traffic Grapher
>
>If you still dispute this, follow-up off-list.
>
>--
>George
>
> > -----Original Message-----
> > From: Mike Portworsnick [mailto:[email-masked]]
> > Sent: Monday, August 28, 2000 9:08 AM
> > To: George Matey
> > Cc: [email-masked]
> > Subject: RE: Route Computation Question
> >
> >
> > No, he means www.mrtg.org
> >
> > cheers, Mike
> >
> > At 08:57 28.08.2000 -0400, you wrote:
> >
> > > > > Also I think mrtg (BGPsim), Zebra and gated use the concept
> > > > of "weight".
> > > >
> > > > MRTG?
> > >
> > >I believe Mark means MRT from Merit:
> > >http://www.merit.edu/~mrt/
> > >
> > >--
> > >George
> >

From: George Matey <[email-masked]>
To: "'Mike Portworsnick'" <[email-masked]>, George Matey <[email-masked]>
Cc: [email-masked]
Subject: RE: Route Computation Question 
Date: Mon, 28 Aug 2000 09:27:28 -0400
Sender: [email-masked]

Mike,

Not to be pedantic, but, no, he means MRT.

MRT = Multi-threaded Routing Toolkit
	BGPsim is part of that tookit

MRTG =  Multi Router Traffic Grapher

If you still dispute this, follow-up off-list.

--
George

> -----Original Message-----
> From: Mike Portworsnick [mailto:[email-masked]]
> Sent: Monday, August 28, 2000 9:08 AM
> To: George Matey
> Cc: [email-masked]
> Subject: RE: Route Computation Question 
> 
> 
> No, he means www.mrtg.org
> 
> cheers, Mike
> 
> At 08:57 28.08.2000 -0400, you wrote:
> 
> > > > Also I think mrtg (BGPsim), Zebra and gated use the concept
> > > of "weight".
> > >
> > > MRTG?
> >
> >I believe Mark means MRT from Merit:
> >http://www.merit.edu/~mrt/
> >
> >--
> >George
> 

Date: Mon, 28 Aug 2000 15:08:01 +0200
To: George Matey <[email-masked]>
From: Mike Portworsnick <[email-masked]>
Subject: RE: Route Computation Question 
Cc: [email-masked]
Sender: [email-masked]

No, he means www.mrtg.org

cheers, Mike

At 08:57 28.08.2000 -0400, you wrote:

> > > Also I think mrtg (BGPsim), Zebra and gated use the concept
> > of "weight".
> >
> > MRTG?
>
>I believe Mark means MRT from Merit:
>http://www.merit.edu/~mrt/
>
>--
>George

From: George Matey <[email-masked]>
To: "[email-masked]'" <[email-masked]>, Mark Thompson <[email-masked]>
Cc: BGP mailing list <[email-masked]>
Subject: RE: Route Computation Question 
Date: Mon, 28 Aug 2000 08:57:09 -0400
Sender: [email-masked]

> > Also I think mrtg (BGPsim), Zebra and gated use the concept 
> of "weight".
> 
> MRTG?

I believe Mark means MRT from Merit:
http://www.merit.edu/~mrt/

--
George

From: "Peter Lewis" <[email-masked]>
To: <Undisclosed-Recipient:@smtp1.cluster.oleane.net;>
Subject: MPLS World
Date: Mon, 28 Aug 2000 13:15:41 +0200
Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_01EC_01C010F2.109F9DC0
Content-Type: text/plain;
	charset="Windows-1252"
Content-Transfer-Encoding: quoted-printable

MPLS World, third edition, Paris 6-9 February.
The most important conference, with more than 700 delegates.
Speakers may still submit papers untill september 15th.
=20
MPLS World is also the largest exhibition in this area.
=20
Please take a look on:

http://www.upperside.fr/congress/conf.htm
=20

------=_NextPart_000_01EC_01C010F2.109F9DC0
Content-Type: text/html;
	charset="Windows-1252"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META content=3D"text/html; charset=3Dwindows-1252" =
http-equiv=3DContent-Type>
<META content=3D"MSHTML 5.00.2314.1000" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV><FONT face=3DArial size=3D2>
<DIV><FONT color=3D#000000 size=3D2>MPLS World, third edition, Paris 6-9 =

February.</FONT></DIV>
<DIV><FONT color=3D#000000 size=3D2></FONT><FONT size=3D2>The most =
important=20
conference, with more than 700 delegates.</FONT></DIV>
<DIV><FONT size=3D2></FONT><FONT color=3D#000000 size=3D2>Speakers may =
still submit=20
papers untill september 15th.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>MPLS World is also the largest exhibition in this=20
area.</FONT></DIV>
<DIV><FONT size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>Please take a look on:</FONT></DIV>
<DIV>&nbsp;</DIV>
<DIV><FONT color=3D#000000 size=3D2><A=20
href=3D"http://www.upperside.fr/congress/conf.htm">http://www.upperside.f=
r/congress/conf.htm</A></FONT></DIV>
<DIV><FONT color=3D#000000 =
size=3D2></FONT>&nbsp;</FONT></DIV></DIV></BODY></HTML>

------=_NextPart_000_01EC_01C010F2.109F9DC0--

From: Randy Bush <[email-masked]>
To: Danny McPherson <[email-masked]>
Cc: BGP mailing list <[email-masked]>
Subject: Re: Route Computation Question 
Date: Sat, 26 Aug 2000 22:22:39 -0700
Sender: [email-masked]

> I realize confederations is "Experimental"

but are used by some rather large players.  maybe it is time to move this
one forward a bit.  but it could use some cleanup enroute.

randy

To: "Mark Thompson" <[email-masked]>
Cc: BGP mailing list <[email-masked]>
From: Danny McPherson <[email-masked]>
Reply-To: [email-masked]
Subject: Re: Route Computation Question 
Date: Sun, 27 Aug 2000 05:06:51 -0600
Sender: [email-masked]

> I suppose it depends on which router you are using ?

Hence my point.

> if only it was that easy.
> 
> Also I think mrtg (BGPsim), Zebra and gated use the concept of "weight".

MRTG?

> or maybe I've been reading the wrong documentation ;-)

I know for certain (via real world experience) that at least 
four 'BGP route selection implementations' you listed have 
significant differences, all have subtle ones.

> P.s. I agree its not mentioned in 1771 but there again neither was RR's or 
> confederations.
> 
> http://www.ietf.org/internet-drafts/draft-abarbanel-idr-bgp4-te-01.txt

RRs & confederations are RFCs (yes, I realize confederations is 
"Experimental").  Not only is the draft you reference not a product 
of an IETF WG, it's 'notion' of weight is very different than that of 
any implementation you listed (some of which don't actually support
a 'weight' BGP attribute in the context you suggest)...

My point was only that all the implementations have considerable
differences, subtle or significant.  As such, the best reference 
is surely documentation associated with the implementation ..
and if questions arise, consulting the spec is usally the next
logical step.  

Thanks!

-danny

Date: Sat, 26 Aug 2000 04:10:07 +0100
To: [email-masked]
From: "Mark Thompson" <[email-masked]>
Subject: Re: Route Computation Question
Cc: "Mark Thompson" <[email-masked]>, Lewis Adam-CAL022 <[email-masked]>, BGP mailing list <[email-masked]>
Sender: [email-masked]

Hi Danny

I suppose it depends on which router you are using ?

http://support.baynetworks.com/library/tpubs/html/switches/bstream/115401A/L 
_95.HTM

They stick to standards like glue to a rug.

http://www.cisco.com/univercd/cc/td/doc/product/software/ios113ed/113ed_cr/n 
p1_c/1cbgp.htm

an old version of a router but still very relevant.

http://www.juniper.com/weight

http://www.avici.com/weight

http://www.pluris.com/weight

http://www.cwnt.com/weight

http://www.ironbridge.com/weight

if only it was that easy.

Also I think mrtg (BGPsim), Zebra and gated use the concept of "weight".

or maybe I've been reading the wrong documentation ;-)

Cheers

Mark

P.s. I agree its not mentioned in 1771 but there again neither was RR's or 
confederations.

http://www.ietf.org/internet-drafts/draft-abarbanel-idr-bgp4-te-01.txt

At 02:48 25/08/00 -0600, Danny McPherson wrote:

>Where is "weight" in _the BGP decision algorithm?
>
>Perhaps a more appropriate response would be "Consulting
>documentation specific to your vendor's implementation would
>prove most beneficial.  The BGP specified route selection
>algorithm can be found in section 9.1 of RFC 1771."?
>
>-danny
>
> >     2. Prefer the path with the largest weight.

Date: Fri, 25 Aug 2000 07:56:05 -0400
From: Srikanth Chavali <[email-masked]>
To: [email-masked]
Cc: "Thompson, Mark" <[email-masked]>, Lewis Adam-CAL022 <[email-masked]>, BGP mailing list <[email-masked]>
Subject: Re: Route Computation Question
Sender: [email-masked]

This is a multi-part message in MIME format.
--------------8398D5BB2622F11FD4DFDDB9
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I agree there is no weight in the BGP decision algorithm. Its our
specific implementation.

srikanth chavali

Danny McPherson wrote:

> Where is "weight" in _the BGP decision algorithm?
>
> Perhaps a more appropriate response would be "Consulting
> documentation specific to your vendor's implementation would
> prove most beneficial.  The BGP specified route selection
> algorithm can be found in section 9.1 of RFC 1771."?
>
> -danny
>
> >     2. Prefer the path with the largest weight.

--------------8398D5BB2622F11FD4DFDDB9
Content-Type: text/x-vcard; charset=us-ascii;
 name="schavali.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Srikanth Chavali
Content-Disposition: attachment;
 filename="schavali.vcf"

begin:vcard 
n:Chavali;Srikanth
x-mozilla-html:TRUE
adr:;;;;;;
version:2.1
email;internet:[email-masked]
x-mozilla-cpt:;0
fn:Srikanth Chavali
end:vcard

--------------8398D5BB2622F11FD4DFDDB9--

From: Srinivasa Chaganti <[email-masked]>
To: Lewis Adam-CAL022 <[email-masked]>, BGP mailing list <[email-masked]>
Subject: RE: BGP advertising into OSPF domain
Date: Thu, 24 Aug 2000 16:18:27 -0700
Sender: [email-masked]

If same attributes are received for a route on both the routers they choose
the one received directly from EBGP peer as best. It means best route on
router-1 is different from best route on router-2. In that situation both
routers will import their own best routes into OSPF. You need to set
local-preference on inbound on EBGP links to choose same route as best on
both the routers. Set more local-preference on the router which you want to
use as exit router. Please correct me if I am wrong.

Thanks
Chaganti S.

-----Original Message-----
From: Lewis Adam-CAL022 [mailto:[email-masked]]
Sent: Thursday, August 24, 2000 3:20 PM
To: BGP mailing list
Subject: BGP advertising into OSPF domain

Hello,

One more question ... I have an AS with two exit routers (running BGP).
Each of the two exit routers can reach a particular network, say N2, via a
physically diverse through other transit ASs.  My intra-AS routers (running
OSPF) show two ways to reach N2 in the routing table: one through Exit
router-1 and the other through Exit router-2.

It is my understanding that the Exit routers (which are internally peered)
would come to an agreement over which would serve as the gateway to N2 and
advertise only the chosen Exit router into the OSPF domain.

Is this undertanding of mine correct, or am I mistaken?

Thanks again,
-adam

From: Lewis Adam-CAL022 <[email-masked]>
To: BGP mailing list <[email-masked]>
Subject: BGP advertising into OSPF domain
Date: Thu, 24 Aug 2000 17:19:57 -0500
Sender: [email-masked]

Hello,

One more question ... I have an AS with two exit routers (running BGP).
Each of the two exit routers can reach a particular network, say N2, via a
physically diverse through other transit ASs.  My intra-AS routers (running
OSPF) show two ways to reach N2 in the routing table: one through Exit
router-1 and the other through Exit router-2.

It is my understanding that the Exit routers (which are internally peered)
would come to an agreement over which would serve as the gateway to N2 and
advertise only the chosen Exit router into the OSPF domain.

Is this undertanding of mine correct, or am I mistaken?

Thanks again,
-adam

To: "Mark Thompson" <[email-masked]>
Cc: Lewis Adam-CAL022 <[email-masked]>, BGP mailing list <[email-masked]>
From: Danny McPherson <[email-masked]>
Reply-To: [email-masked]
Subject: Re: Route Computation Question 
Date: Thu, 24 Aug 2000 21:48:44 -0600
Sender: [email-masked]

Where is "weight" in _the BGP decision algorithm?  
 
Perhaps a more appropriate response would be "Consulting 
documentation specific to your vendor's implementation would
prove most beneficial.  The BGP specified route selection 
algorithm can be found in section 9.1 of RFC 1771."?
 
-danny

>     2. Prefer the path with the largest weight.

To: "Rijsman, Bruno" <[email-masked]>
Cc: "'BGP exploder'" <[email-masked]>, "'IDRP exploder'" <[email-masked]>
From: Danny McPherson <[email-masked]>
Reply-To: [email-masked]
Subject: Re: Bgp: keep-alive in response to keep-alive?? 
Date: Thu, 24 Aug 2000 21:47:33 -0600
Sender: [email-masked]

The table does appear to be incorrect (though it hasn't changed).  
It seems to be saying that while in Established State (6) if a 
KEEPALIVE message is received (Event 11) a KEEPALIVE message 
is sent:
 
Event                Actions               Message Sent   Next State
--------------------------------------------------------------------
Established (6)
11            Restart Hold Timer            KEEPALIVE          6
-----------------------------------------------------------------
 
"Message Sent" should read "none" here, with the only Action being 
"Restart Hold Timer".
 
-danny

From: "Natale, Jonathan" <[email-masked]>
To: "'Lewis Adam-CAL022'" <[email-masked]>, BGP mailing list <[email-masked]>
Subject: RE: Route Computation Question
Date: Thu, 24 Aug 2000 17:15:54 -0400
Sender: [email-masked]

It would end up at step 10: Prefer the path that was learned from the router
(AS2 XOR AS3) with the lowest BGP router ID. In this scenario, Cisco does
not currently use the router ID in the decision process for EBGP unless the
routes arrive at the same time; instead it uses the first route learned.
Cisco may implement a command in the future ("bgp bestpath compare-rid"
(present in 12.0(10.5)S onwards?) to comply with this part of decision
process. 

-----Original Message-----
From: Lewis Adam-CAL022 [mailto:[email-masked]]
Sent: Thursday, August 24, 2000 4:30 PM
To: BGP mailing list
Subject: RE: Route Computation Question

1. both of my next hops are reachable
2. they are all weighted equally
3. i see no way in these routers to set a local_pref
4. what do you mean by locally originated?
5. Ben Black said only Cisco uses this step?  these are not Cisco routers,
though this is the step I would most prefer

thanks!

-----Original Message-----
From: Rijsman, Bruno [mailto:[email-masked]]
Sent: Thursday, August 24, 2000 3:25 PM
To: 'Lewis Adam-CAL022'
Subject: RE: Route Computation Question

Many vendors use the following list of rules to pick the most preferred
route when several routes are available to a given prefix.
1.	Next hop reachable
2.	Highest weight
3.	Highest local preference
4.	Prefer locally originated
5.	Shortest AS path
6.	Origin: prefer IGP over EGP over incomplete
7.	Lowest MED
8.	External over Confederation external over Internal
9.	Shortest IGP route to next-hop
10.	Lowest BGP router ID

In your case AS-path AS1-AS4 is clearly shorter than AS-path
AS1-AS2-AS3-AS4. So that means, one of the rules 1. thru 4. must cause the
longer path to preferred.

You said that you didn't configure any policy for weight or local preference
which rules out items 2. and 3.

This case doesn't involve a route originated locally within in AS1 which
rules out 4.

That leaves 1. as the only option. Is it possible that AS1 does not have a
non-BGP (i.e. IGP / static / connected) route for the subnet corresponding
to the link between AS1 and AS4? If that's true, then BGP refuse to use the
route received from AS4 because the next-hop is not reachable.

-- Bruno Rijsman

-----Original Message-----
From: Lewis Adam-CAL022 [mailto:[email-masked]]
Sent: Thursday, August 24, 2000 4:06 PM
To: BGP mailing list
Subject: Route Computation Question

Hello,

Could somebody explain to me how BGP chooses the shortest path to a given
network?  I have a network (in a lab environment) with 4 autonomous systems.

           AS2
          /	  \
        /          \
AS1             AS3
       \            /
         \        /
           AS4

Now, I am seeing AS1 forward packets to AS4 via <AS2, AS3>.  Why?  I don' t
any weights or preferences set, I was hoping it would make a determination
via hop count, which I was of course wrong.  But is there a way to do this?
Is there a way to make BGP make a "shortest-path" type decision, using hop
count as a metric?

As I mentioned above, this is in a lab enviroment, with all 4 ASs sitting
side-by-side.  I have full control over all 4 ASs.  

Thanks!
-adam

From: Lewis Adam-CAL022 <[email-masked]>
To: BGP mailing list <[email-masked]>
Subject: RE: Route Computation Question
Date: Thu, 24 Aug 2000 15:29:52 -0500
Sender: [email-masked]

1. both of my next hops are reachable
2. they are all weighted equally
3. i see no way in these routers to set a local_pref
4. what do you mean by locally originated?
5. Ben Black said only Cisco uses this step?  these are not Cisco routers,
though this is the step I would most prefer

thanks!

-----Original Message-----
From: Rijsman, Bruno [mailto:[email-masked]]
Sent: Thursday, August 24, 2000 3:25 PM
To: 'Lewis Adam-CAL022'
Subject: RE: Route Computation Question

Many vendors use the following list of rules to pick the most preferred
route when several routes are available to a given prefix.
1.	Next hop reachable
2.	Highest weight
3.	Highest local preference
4.	Prefer locally originated
5.	Shortest AS path
6.	Origin: prefer IGP over EGP over incomplete
7.	Lowest MED
8.	External over Confederation external over Internal
9.	Shortest IGP route to next-hop
10.	Lowest BGP router ID

In your case AS-path AS1-AS4 is clearly shorter than AS-path
AS1-AS2-AS3-AS4. So that means, one of the rules 1. thru 4. must cause the
longer path to preferred.

You said that you didn't configure any policy for weight or local preference
which rules out items 2. and 3.

This case doesn't involve a route originated locally within in AS1 which
rules out 4.

That leaves 1. as the only option. Is it possible that AS1 does not have a
non-BGP (i.e. IGP / static / connected) route for the subnet corresponding
to the link between AS1 and AS4? If that's true, then BGP refuse to use the
route received from AS4 because the next-hop is not reachable.

-- Bruno Rijsman

-----Original Message-----
From: Lewis Adam-CAL022 [mailto:[email-masked]]
Sent: Thursday, August 24, 2000 4:06 PM
To: BGP mailing list
Subject: Route Computation Question

Hello,

Could somebody explain to me how BGP chooses the shortest path to a given
network?  I have a network (in a lab environment) with 4 autonomous systems.

           AS2
          /	  \
        /          \
AS1             AS3
       \            /
         \        /
           AS4

Now, I am seeing AS1 forward packets to AS4 via <AS2, AS3>.  Why?  I don' t
any weights or preferences set, I was hoping it would make a determination
via hop count, which I was of course wrong.  But is there a way to do this?
Is there a way to make BGP make a "shortest-path" type decision, using hop
count as a metric?

As I mentioned above, this is in a lab enviroment, with all 4 ASs sitting
side-by-side.  I have full control over all 4 ASs.  

Thanks!
-adam

Date: Thu, 24 Aug 2000 16:13:57 -0400
To: Lewis Adam-CAL022 <[email-masked]>
From: "Mark Thompson" <[email-masked]>
Subject: Re: Route Computation Question
Cc: BGP mailing list <[email-masked]>
Sender: [email-masked]

--=====================_32487346==_.ALT
Content-Type: text/plain; charset="us-ascii"; format=flowed

Adam

The BGP routing decision process.

"BGP selects only one path as the best path. When the path is selected, BGP 
puts the selected path in its routing table and propagates the path to its 
neighbors. BGP uses the following criteria, in the order presented, to 
select a path for a destination:

    1. If the path specifies a next hop that is inaccessible, drop the update.

    2. Prefer the path with the largest weight.

    3. If the weights are the same, prefer the path with the largest local 
preference.

    4. If the local preferences are the same, prefer the path that was 
originated by BGP running on this router.

    5. If no route was originated, prefer the route that has the shortest 
AS_path.

    6. If all paths have the same AS_path length, prefer the path with the 
lowest origin type (where IGP is lower than EGP, and EGP is lower
        than Incomplete).

    7. If the origin codes are the same, prefer the path with the lowest 
MED attribute.

    8. If the paths have the same MED, prefer the external path over the 
internal path.

    9. If the paths are still the same, prefer the path through the closest 
IGP neighbor.

   10. Prefer the path with the lowest IP address, as specified by the BGP 
router ID."

Hope this helps.

At 15:05 24/08/00 -0500, Lewis Adam-CAL022 wrote:

>Hello,
>
>Could somebody explain to me how BGP chooses the shortest path to a given
>network?  I have a network (in a lab environment) with 4 autonomous systems.
>
>            AS2
>           /       \
>         /          \
>AS1             AS3
>        \            /
>          \        /
>            AS4
>
>
>Now, I am seeing AS1 forward packets to AS4 via <AS2, AS3>.  Why?  I don' t
>any weights or preferences set, I was hoping it would make a determination
>via hop count, which I was of course wrong.  But is there a way to do this?
>Is there a way to make BGP make a "shortest-path" type decision, using hop
>count as a metric?
>
>As I mentioned above, this is in a lab enviroment, with all 4 ASs sitting
>side-by-side.  I have full control over all 4 ASs.
>
>Thanks!
>-adam

--=====================_32487346==_.ALT
Content-Type: text/html; charset="us-ascii"

<html>
Adam<br>
<br>
<b>The BGP routing decision process.<br>
<br>
</b>&quot;BGP selects only one path as the best path. When the path is
selected, BGP puts the selected path in its routing table and propagates
the path to its neighbors. BGP uses the following criteria, in the order
presented, to select a path for a destination: <br>
<br>
&nbsp;&nbsp; 1. If the path specifies a next hop that is inaccessible,
drop the update. <br>
<br>
&nbsp;&nbsp; 2. Prefer the path with the largest weight. <br>
<br>
&nbsp;&nbsp; 3. If the weights are the same, prefer the path with the
largest local preference. <br>
<br>
&nbsp;&nbsp; 4. If the local preferences are the same, prefer the path
that was originated by BGP running on this router. <br>
<br>
&nbsp;&nbsp; 5. If no route was originated, prefer the route that has the
shortest AS_path. <br>
<br>
&nbsp;&nbsp; 6. If all paths have the same AS_path length, prefer the
path with the lowest origin type (where IGP is lower than EGP, and EGP is
lower&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; than Incomplete). <br>
<br>
&nbsp;&nbsp; 7. If the origin codes are the same, prefer the path with
the lowest MED attribute. <br>
<br>
&nbsp;&nbsp; 8. If the paths have the same MED, prefer the external path
over the internal path. <br>
<br>
&nbsp;&nbsp; 9. If the paths are still the same, prefer the path through
the closest IGP neighbor. <br>
<br>
&nbsp; 10. Prefer the path with the lowest IP address, as specified by
the BGP router ID.&quot;<br>
<br>
Hope this helps.<br>
<br>
<br>
At 15:05 24/08/00 -0500, Lewis Adam-CAL022 wrote:<br>
<br>
<blockquote type=cite cite>Hello,<br>
<br>
Could somebody explain to me how BGP chooses the shortest path to a
given<br>
network?&nbsp; I have a network (in a lab environment) with 4 autonomous
systems.<br>
<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; AS2<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
/<x-tab>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</x-tab>&nbsp; \<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
/&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; \<br>
AS1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
AS3<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
\&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
/<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
\&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; /<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; AS4<br>
<br>
<br>
Now, I am seeing AS1 forward packets to AS4 via &lt;AS2, AS3&gt;.&nbsp;
Why?&nbsp; I don' t<br>
any weights or preferences set, I was hoping it would make a
determination<br>
via hop count, which I was of course wrong.&nbsp; But is there a way to
do this?<br>
Is there a way to make BGP make a &quot;shortest-path&quot; type
decision, using hop<br>
count as a metric?<br>
<br>
As I mentioned above, this is in a lab enviroment, with all 4 ASs
sitting<br>
side-by-side.&nbsp; I have full control over all 4 ASs.&nbsp; <br>
<br>
Thanks!<br>
-adam</blockquote></html>

--=====================_32487346==_.ALT--

Date: Thu, 24 Aug 2000 16:07:24 -0400
To: "Rijsman, Bruno" <[email-masked]>
From: "Mark Thompson" <[email-masked]>
Subject: Re: Bgp: keep-alive in response to keep-alive??
Cc: "'BGP exploder'" <[email-masked]>, "'IDRP exploder'" <[email-masked]>
Sender: [email-masked]

Bruno

Once a peer has been established both peers should transmit 1 KEEPALIVE per 
KEEPALIVE interval and not as a response to a received KEEPALIVE. The 
default value is 30secs for Nortel (which is the recommended value in 
RFC1771) and 60secs for Cisco. The KEEPALIVE should be set to 1/3 that of 
the Hold down timer and if the configured values are different at each end 
of the peer the lower configured value would be used.

Cheers

Mark

At 15:40 24/08/00 -0400, Rijsman, Bruno wrote:
>The state transition table in appendix 1 of draft-ietf-idr-bgp4-10 seems to
>indicate that BGP must send a KEEP-ALIVE in response to every received
>KEEP-ALIVE (the "message sent" column for event 11 in state established
>contains "KEEP-ALIVE").
>
>It seems to me that this would obviously cause an endless series of
>KEEP-ALIVEs being sent back and forward.
>
>Am I correct to assume that once we reach state ESTABLISHED we should only
>send KEEP-ALIVEs when the keep-alive timer expires or am I missing
>something?
>
>-- Bruno Rijsman

From: Lewis Adam-CAL022 <[email-masked]>
To: BGP mailing list <[email-masked]>
Subject: Route Computation Question
Date: Thu, 24 Aug 2000 15:05:54 -0500
Sender: [email-masked]

Hello,

Could somebody explain to me how BGP chooses the shortest path to a given
network?  I have a network (in a lab environment) with 4 autonomous systems.

           AS2
          /	  \
        /          \
AS1             AS3
       \            /
         \        /
           AS4

Now, I am seeing AS1 forward packets to AS4 via <AS2, AS3>.  Why?  I don' t
any weights or preferences set, I was hoping it would make a determination
via hop count, which I was of course wrong.  But is there a way to do this?
Is there a way to make BGP make a "shortest-path" type decision, using hop
count as a metric?

As I mentioned above, this is in a lab enviroment, with all 4 ASs sitting
side-by-side.  I have full control over all 4 ASs.  

Thanks!
-adam

From: "Rijsman, Bruno" <[email-masked]>
To: "'BGP exploder'" <[email-masked]>, "'IDRP exploder'" <[email-masked]>
Subject: Bgp: keep-alive in response to keep-alive??
Date: Thu, 24 Aug 2000 15:40:22 -0400
Sender: [email-masked]

The state transition table in appendix 1 of draft-ietf-idr-bgp4-10 seems to
indicate that BGP must send a KEEP-ALIVE in response to every received
KEEP-ALIVE (the "message sent" column for event 11 in state established
contains "KEEP-ALIVE").

It seems to me that this would obviously cause an endless series of
KEEP-ALIVEs being sent back and forward.

Am I correct to assume that once we reach state ESTABLISHED we should only
send KEEP-ALIVEs when the keep-alive timer expires or am I missing
something?

-- Bruno Rijsman

From: Srihari Ramachandra <[email-masked]>
Subject: Re: Cease
To: [email-masked] (Natale, Jonathan)
Date: Mon, 14 Aug 2000 07:42:32 -0700 (PDT)
Cc: [email-masked] ('Rijsman Bruno'), [email-masked] ([email-masked]')
Sender: [email-masked]

> Cisco does not.

That's right. We will be adding support for it. Thanks.

srihari...

Date: Fri, 11 Aug 2000 22:55:09 +0100
To: "Natale, Jonathan" <[email-masked]>
From: "Mark Thompson" <[email-masked]>
Subject: RE: Cease
Cc: "'Rijsman, Bruno'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Sender: [email-masked]

Yes Bay/Nortel do send a cease notification message if a peer is 
administratively disabled.

At 17:06 11/08/00 -0400, Natale, Jonathan wrote:
>Thanks.
>
>Cisco does not. I think Gated does? Does Juniper? Does Bay?
>
>-----Original Message-----
>From: Rijsman, Bruno [mailto:[email-masked]]
>Sent: Friday, August 11, 2000 5:05 PM
>To: 'Natale, Jonathan'
>Subject: RE: Cease
>
>
>Yes it should.
>
>-----Original Message-----
>From: Natale, Jonathan [mailto:[email-masked]]
>Sent: Friday, August 11, 2000 2:01 PM
>To: [email-masked]'
>Cc: Hynes, Kevin
>Subject: RE: Cease
>
>
>
>
> > Should/could and implementation send a cease when the peer is
> > administratively cleared?

From: "Natale, Jonathan" <[email-masked]>
To: "'Rijsman, Bruno'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Subject: RE: Cease
Date: Fri, 11 Aug 2000 17:06:47 -0400
Sender: [email-masked]

Thanks.

Cisco does not. I think Gated does? Does Juniper? Does Bay?

-----Original Message-----
From: Rijsman, Bruno [mailto:[email-masked]]
Sent: Friday, August 11, 2000 5:05 PM
To: 'Natale, Jonathan'
Subject: RE: Cease

Yes it should.

-----Original Message-----
From: Natale, Jonathan [mailto:[email-masked]]
Sent: Friday, August 11, 2000 2:01 PM
To: [email-masked]'
Cc: Hynes, Kevin
Subject: RE: Cease

> Should/could and implementation send a cease when the peer is
> administratively cleared?

From: "Natale, Jonathan" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "Hynes, Kevin" <[email-masked]>
Subject: RE: Cease
Date: Fri, 11 Aug 2000 14:01:22 -0400
Sender: [email-masked]

> Should/could and implementation send a cease when the peer is
> administratively cleared?